﻿@model Jumbula.Core.Model.ClubSetting.AutoChargePolicySettingViewModel
@{
    Layout = null;
}

<style>
    .jb-tooltip .tooltip-content {
        background-color: transparent !important;
    }

    .jb-confirm > div > div {
        width: auto !important;
        height: auto !important;
        margin-left: 10vw;
        margin-right: 10%;
        margin-top: 5%;
        padding-top: 10px;
        padding-bottom: 10px;
        padding-right: 10px;
        padding-left: 10px;
    }
    /* The Modal (background) */
    .modal {
        display: none; /* Hidden by default */
        position: fixed; /* Stay in place */
        z-index: 1; /* Sit on top */
        left: 0;
        top: 0;
        width: 100%; /* Full width */
        height: 100%; /* Full height */
        overflow: auto; /* Enable scroll if needed */
        background-color: rgb(0,0,0); /* Fallback color */
        background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
    }

    /* Modal Content/Box */
    .modal-content {
        background-color: #686868;
        margin: 10% auto; /* 15% from the top and centered */
        padding: 20px;
        border: 1px solid #888;
        width: 80%; /* Could be more or less, depending on screen size */
    }

    /* The Close Button */
    .close {
        color: #aaa;
        float: right;
        font-size: 28px;
        font-weight: bold;
    }

        .close:hover,
        .close:focus {
            color: black;
            text-decoration: none;
            cursor: pointer;
        }

    .jb_table {
        color: #f68b0f;
        background-color: green;
    }
</style>


<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref="PolicySetting">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Installment auto charge
            </h1>

        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate>
        <fieldset>
            <legend>The initial attempt to charge</legend>
            <div>
                <span class="message">Jumbula always tries at least once to charge a user for auto-charge installments. You can specify the outgoing email to users if the charge succeeds or fails.</span>
            </div>
            <section>
                <label>
                    <input type="checkbox" ng-checked="true" disabled>
                    Send email to users if payment succeeds (you cannot disable this option)
                </label>
                <label class="req-star" for="@Html.Ang(model => model.SuccessParentEmailTemplate)">
                    Success email message
                    <button ng-click="Preview('successParent')" class="info small place-left" style="float: right">Preview</button>
                </label>

                <div data-html="true" class="input-control textarea" data-role="input-control" @Html.AngValidationClassFor(model => model.SuccessParentEmailTemplate)>
                    <textarea kendo-editor k-tools="['bold','italic','underline','fontSize','justifyLeft','justifyCenter','justifyRight','justifyFull','foreColor','insertUnorderedList','insertOrderedList','createLink','unlink','cleanFormatting','backColor','viewHtml']" id="@Html.Ang(model => model.SuccessParentEmailTemplate)" k-ng-model="@Html.Ang(model => model.SuccessParentEmailTemplate)" @Html.AngTooltipValidationFor(model => model.SuccessParentEmailTemplate)></textarea>
                </div>

                <hr />
                <div>
                    <label>
                        <input type="checkbox" ng-model="@Html.Ang(model=>model.SuccessEmailToAdmin)">
                        Send email to the organization contacts if payment succeeds
                    </label>
                </div>
                <div ng-show="@Html.Ang(model=>model.SuccessEmailToAdmin)">
                    <label class="req-star" for="@Html.Ang(model => model.SuccessAdminEmailTemplate)">
                        Success email message
                        <button ng-click="Preview('successAdmin')" class="info small place-left" style="float: right">Preview</button>
                    </label>
                    <div data-html="true" class="input-control textarea" data-role="input-control" @Html.AngValidationClassFor(model => model.SuccessAdminEmailTemplate)>
                        <textarea kendo-editor k-tools="['bold','italic','underline','fontSize','justifyLeft','justifyCenter','justifyRight','justifyFull','foreColor','insertUnorderedList','insertOrderedList','createLink','unlink','cleanFormatting','backColor','viewHtml']" id="@Html.Ang(model => model.SuccessAdminEmailTemplate)" k-ng-model="@Html.Ang(model => model.SuccessAdminEmailTemplate)" @Html.AngTooltipValidationFor(model => model.SuccessAdminEmailTemplate)></textarea>
                    </div>

                </div>

                <hr />
                <div>
                    <label>
                        <input type="checkbox" ng-model="@Html.Ang(model=>model.Attempts.ElementAt(0).FailedEmailToParent)">
                        Send email to users if payment fails
                    </label>
                </div>

                <div ng-show="@Html.Ang(model=>model.Attempts.ElementAt(0).FailedEmailToParent)">
                    <label class="req-star" for="@Html.Ang(model => model.Attempts.ElementAt(0).FailedParentEmailTemplate)">
                        Failure email message
                        <button ng-click="Preview('failParent-0')" class="info small place-left" style="float: right">Preview</button>
                    </label>

                    <div class="editor-body" ng-class="{'error-state':MC.isEmpty(errors.formErrors['model.TotalAttempts['+0+'].FailedParentEmailTemplate'].Messages)}">
                        <div data-html="true" class="input-control textarea support-error-state" data-original-title="{{MC.joinStringsWithBreak(errors.formErrors['model.TotalAttempts['+0+'].FailedParentEmailTemplate'].Messages)}}" jb-tooltip>
                            <textarea kendo-editor k-tools="['bold','italic','underline','fontSize','justifyLeft','justifyCenter','justifyRight','justifyFull','foreColor','insertUnorderedList','insertOrderedList','createLink','unlink','cleanFormatting','backColor','viewHtml']" id="@Html.Ang(model => model.Attempts.ElementAt(0).FailedParentEmailTemplate)" k-ng-model="@Html.Ang(model=>model.Attempts.ElementAt(0).FailedParentEmailTemplate)"></textarea>
                        </div>
                    </div>

                </div>

                <hr />
                <div>
                    <label>
                        <input type="checkbox" ng-model="@Html.Ang(model=>model.Attempts.ElementAt(0).FailedEmailToAdmin)">
                        Send email to the organization contacts if payment fails
                    </label>
                </div>
                <div ng-show="@Html.Ang(model=>model.Attempts.ElementAt(0).FailedEmailToAdmin)">
                    <label class="req-star" for="@Html.Ang(model => model.Attempts.ElementAt(0).FailedAdminEmailTemplate)">
                        Failure email message
                        <button ng-click="Preview('failAdmin-0')" class="info small place-left" style="float: right">Preview</button>
                    </label>

                    <div class="editor-body" ng-class="{'error-state':MC.isEmpty(errors.formErrors['model.TotalAttempts['+0+'].FailedAdminEmailTemplate'].Messages)}">
                        <div data-html="true" class="input-control textarea support-error-state" data-original-title="{{MC.joinStringsWithBreak(errors.formErrors['model.TotalAttempts['+0+'].FailedAdminEmailTemplate'].Messages)}}" jb-tooltip>
                            <textarea kendo-editor k-tools="['bold','italic','underline','fontSize','justifyLeft','justifyCenter','justifyRight','justifyFull','foreColor','insertUnorderedList','insertOrderedList','createLink','unlink','cleanFormatting','backColor','viewHtml']" id="@Html.Ang(model => model.Attempts.ElementAt(0).FailedAdminEmailTemplate)" k-ng-model="@Html.Ang(model=>model.Attempts.ElementAt(0).FailedAdminEmailTemplate)"></textarea>
                        </div>
                    </div>

                </div>
                <hr />
            </section>

            <legend>Additional attempts to charge</legend>
            <div>
                <span class="message">Jumbula can retry up to four additional times to charge the user if the initial attempt fails. You can configure the retry policy based on the requirements of your organization.</span>
            </div>
            <section>
                <div ng-init="PolicySelect='DefaultRoles'">
                    <label style="display:inline-block">The number of additional attempts</label>
                    <div class="clearfix"></div>
                    <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.EnableAttemptsCount) style="max-width:350px;">
                        <div class="input-control support-error-state" data-original-title="{{MC.joinStringsWithBreak(errors.formErrors['model.EnableAttemptsCount'].Messages)}}" jb-tooltip>
                            <select ng-change="customPolicyCountsChanged(attemptLength)" ng-options="obj.Value as obj.Text for obj in Model.TotalAttempts" ng-model="attemptLength"><option value="" ng-if="false"></option></select>
                        </div>
                    </div>

                    <ul>
                        <li id="RepeatEmailTemplate" ng-repeat="template in @Html.Ang(model => model.Attempts)" ng-if="template.Enabled && template.AttemptOrder!=1" ng-init="sbIndex = $index">
                            <legend>{{template.TemplateTitle}}</legend>

                            <label style="display:inline-block">Number of days to retry after the previous attempt</label>

                            <div class="input-control select" data-role="input-control">
                                <div>
                                    <select ng-options="obj.Value as obj.Text for obj in @Html.Ang(model => model.TryDurationOptions)" ng-model="template.IntervalDays">
                                        <option value="" ng-if="false"></option>
                                    </select>
                                </div>
                            </div>

                            <div>
                                <div>
                                    <label>
                                        <input type="checkbox" ng-model="template.FailedEmailToParent">
                                        Send email to users if payment fails
                                    </label>
                                </div>
                                <div ng-show="template.FailedEmailToParent">
                                    <label class="req-star" for="template.FailedParentEmailTemplate">
                                        Failure email message
                                        <button ng-click="Preview('failParent-'+sbIndex)" class="info small place-left" style="float: right">Preview</button>
                                    </label>

                                    <div class="editor-body" ng-class="{'error-state':MC.isEmpty(errors.formErrors['model.TotalAttempts['+sbIndex+'].FailedParentEmailTemplate'].Messages)}">
                                        <div data-html="true" class="input-control textarea support-error-state" data-original-title="{{MC.joinStringsWithBreak(errors.formErrors['model.TotalAttempts['+sbIndex+'].FailedParentEmailTemplate'].Messages)}}" jb-tooltip>
                                            <textarea kendo-editor k-tools="['bold','italic','underline','fontSize','justifyLeft','justifyCenter','justifyRight','justifyFull','foreColor','insertUnorderedList','insertOrderedList','createLink','unlink','cleanFormatting','backColor','viewHtml']" id="template.FailedParentEmailTemplate" k-ng-model="template.FailedParentEmailTemplate"></textarea>
                                        </div>
                                    </div>

                                </div>
                            </div>

                            <div>
                                <div>
                                    <label>
                                        <input type="checkbox" ng-model="template.FailedEmailToAdmin">
                                        Send email to the organization contacts if payment fails
                                    </label>
                                </div>
                                <div ng-show="template.FailedEmailToAdmin">
                                    <label class="req-star" for="template.FailedAdminEmailTemplate">
                                        Failure email message
                                        <button ng-click="Preview('failAdmin-'+sbIndex)" class="info small place-left" style="float: right">Preview</button>
                                    </label>

                                    <div class="editor-body" ng-class="{'error-state':MC.isEmpty(errors.formErrors['model.TotalAttempts['+sbIndex+'].FailedAdminEmailTemplate'].Messages)}">
                                        <div data-html="true" class="input-control textarea support-error-state" data-original-title="{{MC.joinStringsWithBreak(errors.formErrors['model.TotalAttempts['+sbIndex+'].FailedAdminEmailTemplate'].Messages)}}" jb-tooltip>
                                            <textarea kendo-editor k-tools="['bold','italic','underline','fontSize','justifyLeft','justifyCenter','justifyRight','justifyFull','foreColor','insertUnorderedList','insertOrderedList','createLink','unlink','cleanFormatting','backColor','viewHtml']" id="template.FailedAdminEmailTemplate" k-ng-model="template.FailedAdminEmailTemplate"></textarea>
                                        </div>
                                    </div>


                                </div>
                            </div>
                            <hr />
                        </li>
                    </ul>

                </div>
            </section>

            <legend>Additional options</legend>
            <section>
                <div>
                    <label>
                        <input type="checkbox" ng-model="@Html.Ang(model=>model.SendSummeryEmail)">
                        Send summary email to the organization contacts 
                    </label>
                </div>

                <div>
                    <label>
                        <input type="checkbox" ng-model="@Html.Ang(model=>model.CombinePayments)">
                        Collect all installments in one bulk payment (available on Feb 23, 2019)
                    </label>
                </div>
                <hr />

            </section>
        </fieldset>


        <fieldset>
            <legend>Reply-to address for Autocharge emails</legend>
            <div>
                <span class="message">You can specify the email address that should be used when users reply to Autocharge emails. Note: You can specify only one email address for reply-to field.</span>
            </div>
            <div class="input-control radio">
                <div class="input-control radio default-style place-left no-margin " data-role="input-control">
                    <label class="block">
                        <input ng-model="@Html.Ang(m=> m.HasReplyTo)" name="HasReplyTo" ng-value="false" type="radio" />
                        <span class="check"></span>
                        Set reply-to email address to <span style="font:bold">@Jumbula.Common.Constants.Email.JumbulaNoReplyEmailAddress</span>
                    </label>
                </div>
                <br />
                <div class="input-control radio default-style place-left  no-margin" data-role="input-control">
                    <label class="block">
                        <input ng-model="@Html.Ang(m => m.HasReplyTo)" name="HasReplyTo" ng-value="true" type="radio" />
                        <span class="check"></span>
                        Set reply-to email to the following address
                    </label>
                </div>
            </div>

            <div ng-show="@Html.Ang(model=>model.HasReplyTo)">
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.ReplyToEmailAddress)>
                    <input class="k-textbox" id="@Html.Ang( m => m.ReplyToEmailAddress)" ng-model="@Html.Ang( m => m.ReplyToEmailAddress)" @Html.AngTooltipValidationFor(model => model.ReplyToEmailAddress) />
                </div>
            </div>
        </fieldset>

        <button ngaction="SchoolSetting_AutoChargePolicy_Save" ng-click="save()" class="success large place-right">Save</button>

    </form>

    <div class="clearfix"></div>
</div>


<!-- The Modal -->
<div id="previewModal" class="modal">

    <!-- Modal content -->
    <div class="modal-content">
        <span ng-click="closeModal()" class="close">&times;</span>
        <div compile="previewText">
        </div>
    </div>

</div>
